//Example 4.4
clc
roh=68//outer radius of hemisphere in mm
rih=60//inner radius of hemisphere in mm
doc=58//outer diameter of top cylinder in mm
dic=30//inner diameter of top cylinder in mm
lc=42//length of the top cylinder in mm
dof=200//outer diameter of flange in mm
dif=120//inner diameter of flange in mm
tf=10//thickness of flange in mm
d=7.86*(10^(-6))//density of the casting particles in kg/mm^3
yc=0.60//casting yield factor
Vh=(4/3)*(%pi/2)*((roh^3)-(rih^3))//volume of hemisphere in mm^3
Vc=(%pi/4)*((doc^2)-(dic^2))*lc//volume of the top cylinder in mm^3
Vf=(%pi/4)*((dof^2)-(dif^2))*tf//volume of the flange in mm^3
V=Vh+Vc+Vf//total volume in mm^3
m=V*d//mass of the casting in kg
w=2*m//total weight of the casting in the mould in kg. because, there are two ccastings in the mould.
W=2*m/yc//weight of metal poured in kg
t=(2.4335-(0.3953*(log10(W))))*(W^(1/2))//pouring time of C30 steel in s
r=W/t//pouring rate in kg/s
C=0.73//efficiency factor
D=7.7*(10^(-6))//density of the liquid metal in kg/mm^3
g=9800//gravity in mm/s^2
H=150//sprue height in mm
Ac=W/(D*t*C*((2*g*H)^(1/2)))//choke area in mm^2
dc=(4*Ac/%pi)^(1/2)//choke diameter in mm
Ar=2*(%pi/4)*(dc^2)//runner area in mm^2
printf('Assuming a rectangular cross section, the runner dimensions would be approximately 16*25 mm \n')
Ag=0.5*Ar//each gate area in mm^2
printf('Each gate area is %f mm^2 \n',Ag)
printf('The size of the gate is approximately 7*28 mm')
//the answer may slightly vary due to rounding off values
